templates:
- rsx
- code-corlab
- common-lisp-source
- base

catalog:
  title: Robotic Systems Bag Common Lisp

variables:
  keywords:
  - middleware
  - tools
  - system analysis
  - system introspection

  redmine-project: rsbag

  repository: https://code.cor-lab.de/git/rsbag.git.cl
  branches:
  - '@{rsx.branches}'

  numeric-version: ${version-name}
  rsb-protocol-cmake-name: RSBProtocol
  extra-requires:
  - nature: cmake
    target: ${rsb-protocol-cmake-name}
    version: ${numeric-version}
  - '@{next-value|[]}'

  shell.command: |
    RSBPROTOCOL_DIR="\$(find "${dependency-dir}" -type f -name "${rsb-protocol-cmake-name}Config.cmake" -exec dirname {} \; -quit)"
    if [ -n "\${RSBPROTOCOL_DIR}" ]; then
      mkdir -p data
      cp -r "\${RSBPROTOCOL_DIR}/"* data
    else
      echo "Error: Cannot find RSB protocol installation."
      exit -1
    fi

    ${next-value}

versions:
- name: master
  variables:
    numeric-version: ${rsx.master-numeric-version}

- name: '0.15'
  variables:
    systems:
    - cl-rsbag
    - rsbag-builder
    - rsbag-tidelog
    - rsbag-elan
    load-options.pre: '-s ${systems} '
    load-options.test: '-s ${systems}-test '

    lisp.load-systems.options:ci:
    - -s cl-protobuf
    - '@{load-options.pre}'
    - '@{load-options.test}'
    lisp.test.systems: '${systems}-test '

- name: feature-online-size-tracking
  variables:
    branch: ${version-name}
    numeric-version: '0.17'

- name: feature-online-size-tracking-0.13
  variables:
    branch: ${version-name}
    numeric-version: '0.13'

- name: feature-online-size-tracking-0.15
  variables:
    branch: ${version-name}
    numeric-version: '0.15'
